## systemd 257.1

=== debian/changelog ===
systemd (257.1-7ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
  * Dropped changes, included in Debian:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services: drop test_no_failed
    - debian/systemd.postinst: skip daemon-reexec and try-restarts during shutdown
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/control:
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
  * Dropped changes, no longer needed:
    - debian/tests/boot-and-services: consume stderr in systemctl status call in test_service
  * Dropped changes, included upstream:
    - test: skip TEST-69-SHUTDOWN on ubuntu too (LP #2083704)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 07 Jan 2025 10:58:51 -0500

systemd (257.1-7) unstable; urgency=medium

  * Add missing d/copyright file to signed template packages
  * d/t/tests-in-lxd: more fixes for debci compatibility

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Jan 2025 01:55:59 +0000

systemd (257.1-6) unstable; urgency=medium

  * d/t/tests-in-lxd: drop auto-apt-proxy.conf from container
  * Drop build dependency on libxen-dev on armhf, no longer available
    (Closes: #1091545)

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Jan 2025 11:39:41 +0000

systemd (257.1-5) unstable; urgency=medium

  * d/t/tests-in-lxd: install auto-apt-proxy in the nested container.
  * d/t/upstream: do not use --verbose with 'meson test'
  * d/t/upstream: do not mask machined and instead use mkosi workaround
  * d/t/upstream: switch from btrfs to ext4 and use nspawn again. Kernel
    6.12 broke mounting btrfs volumes from loop devices, switch to ext4 as
    a workaround and use nspawn again, as it's faster

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Dec 2024 18:59:19 +0000

systemd (257.1-4) unstable; urgency=medium

  * d/t/upstream: decrease parallelism to nproc - 1
  * d/t/upstream: do not use nspawn for tests
  * d/t/upstream: disable homed/userdbd in the test runner
  * d/t/upstream: mask systemd-machined
  * Backport patch to workaround issue in new mdadm

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Dec 2024 13:57:12 +0000

systemd (257.1-3) unstable; urgency=medium

  * autopkgtest: mark tests-in-lxd as flaky

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 Dec 2024 01:19:14 +0000

systemd (257.1-2) unstable; urgency=medium

  * Various fixes for d/t/tests-in-lxd

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 15:27:15 +0000

systemd (257.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * test: fix flaky boot-and-services test.
  * d/t/upstream: fix mkosi syntax warnings
  * systemd-ukify: recommend python3-cryptography. One of the verbs uses
    it, so add a recommend to pull it in by default (Closes: #1090759)
  * d/watch: restrict to v257.x series
  * Update upstream source from tag 'upstream/257.1' (Closes: #1087616)
  * Drop patches, merged upstream
  * Install systemd-creds bash completion

  [ Nick Rosbrook ]
  * d/t/tests-in-lxd: run some tests under LXD
  * debian/tests/boot-and-services: drop test_no_failed
  * debian/control: add Breaks: systemd (<< ${binary:Version}) for udev.
    This ensures that systemd is also upgraded whenever udev is upgraded.
  * d/control: make systemd-sysv Depends: on matching version of systemd
  * d/systemd-resolved.postinst: copy existing /etc/resolv.conf on new
    installs

  [ Balint Reczey ]
  * debian/systemd.postinst: Skip daemon-reexec and try-restarts during
    shutdown. LP #1803391

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Dec 2024 21:41:25 +0000
