=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
                libp11-kit-dev <!stage1>,
                libssl-dev <!stage1>,
                libqrencode-dev [!i386] <!stage1>,
-               libxen-dev [amd64 arm64 armhf] <!stage1>,
+               libxen-dev [amd64 arm64] <!stage1>,
                libpwquality-dev <!stage1>,
                libarchive-dev <!stage1>,
                linux-base <!nocheck>,
@@ -147,8 +147,8 @@
            progress-linux-container (<< 20221002-11~),
 Replaces: sysvinit-core,
 Pre-Depends: systemd
-Depends: systemd (= ${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         systemd (= ${binary:Version}),
 Recommends: libpam-systemd,
             libnss-systemd
 Description: system and service manager - SysV compatibility symlinks
@@ -310,3 +310,4 @@
          systemd-resolved (= ${binary:Version}),
 Recommends: ${dlopen:Recommends},
 Suggests: ${dlopen:Suggests},
+Description: nss module to resolve names via systemd-resolved
