=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>,
@@ -10,8 +9,8 @@
            Luca Boccassi <bluca@debian.org>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
-Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
+Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
+Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
 Homepage: https://systemd.io
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -29,7 +28,7 @@
                clang:native [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
                linux-bpf-dev [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1> | linux-headers-generic [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
                libbpf-dev [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
-               linux-tools-generic [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream> | bpftool:native [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
+               bpftool:native [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
                linux-tools-generic <pkg.systemd.upstream> | bpftool <pkg.systemd.upstream>,
                gettext,
                gperf,
@@ -57,15 +56,15 @@
                libblkid-dev (>= 2.24),
                libmount-dev (>= 2.30),
                libfdisk-dev (>= 2.33),
-               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
+               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 hppa loong64 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
                libdw-dev (>= 0.158) <!stage1>,
                libpolkit-gobject-1-dev <!stage1>,
                libzstd-dev (>= 1.4.0),
-               libtss2-dev [!i386] <!stage1>,
+               libtss2-dev <!stage1>,
                libfido2-dev <!stage1>,
                libp11-kit-dev <!stage1>,
                libssl-dev <!stage1>,
-               libqrencode-dev [!i386] <!stage1>,
+               libqrencode-dev <!stage1>,
                libxen-dev [amd64 arm64] <!stage1>,
                libpwquality-dev <!stage1>,
                libarchive-dev <!stage1>,
@@ -75,8 +74,8 @@
                python3-jinja2:native,
                python3-lxml:native,
                python3-pefile:native <!stage1 !nocheck> <!stage1 !noinsttest>,
-               python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
-               jq [amd64 arm64] <!stage1 !pkg.systemd.upstream>,
+               python3-pyelftools [amd64 i386 arm64 armhf loong64 riscv64] <!stage1>,
+               jq [amd64 arm64] <!stage1>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
                tzdata-legacy <!nocheck> | tzdata (<< 2024b-3) <!nocheck>,
@@ -92,15 +91,14 @@
 Priority: important
 Recommends: default-dbus-system-bus | dbus-system-bus,
             linux-sysctl-defaults,
-            networkd-dispatcher,
             systemd-timesyncd | time-daemon,
-            systemd-resolved,
             systemd-cryptsetup,
             ${dlopen:Recommends},
 Suggests: systemd-container,
           systemd-homed,
           systemd-userdbd,
           systemd-boot,
+          systemd-resolved,
           systemd-repart,
           libtss2-tcti-device0,
           polkitd,
@@ -311,3 +309,7 @@
 Recommends: ${dlopen:Recommends},
 Suggests: ${dlopen:Suggests},
 Description: nss module to resolve names via systemd-resolved
+ nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
+ of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
+ the systemd-resolved daemon (provided in the systemd-resolved package).
+ .
