=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 export TEMPLATE_EFI_ARCH=aa64
 endif
 
+# We are building on OBS? Then it's an upstream build, set the profile and
+# use the addon for Secure Boot EFI signing
+ifneq ("$(wildcard /.build/build.dist)","")
+export DEB_BUILD_PROFILES += pkg.systemd.upstream
+DH_ADDONS = --with=signobs
+endif
 
 ifeq ($(DEB_VENDOR),Ubuntu)
     DEFAULT_NTP_SERVERS = ntp.ubuntu.com
@@ -52,7 +58,6 @@
 
 CONFFLAGS = \
 	-Dstatic-libsystemd=true \
-	-Dmode=release \
 	-Dversion-tag="$(VERSION_TAG)" \
 	-Dquotaon-path=/usr/sbin/quotaon \
 	-Dquotacheck-path=/usr/sbin/quotacheck \
@@ -83,8 +88,6 @@
 	-Doomd=true \
 	-Durlify=true \
 	-Dgnutls=disabled \
-	-Dlink-udev-shared=false \
-	-Dlink-systemctl-shared=false \
 	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
 	-Dsystem-uid-max=999 \
 	-Dsystem-gid-max=999 \
@@ -92,7 +95,6 @@
 	-Dnobody-group=nogroup \
 	-Ddev-kvm-mode=0660 \
 	-Dgroup-render-mode=0660 \
-	-Dsbat-distro-url=https://tracker.debian.org/pkg/systemd \
 	-Drepart=enabled \
 	-Dfdisk=enabled \
 	-Dsysext=true \
@@ -137,15 +139,15 @@
 	-Dcryptolib=openssl \
 	-Ddns-over-tls=openssl \
 	-Dlibfido2=enabled \
-	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dtpm2=enabled \
 	-Dp11kit=enabled \
-	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dqrencode=enabled \
 	-Dpwquality=enabled \
 	-Dhomed=enabled \
 	-Duserdb=true \
 	-Dpcre2=enabled \
 	-Dukify=enabled \
-	-Dbootloader=$(if $(filter amd64 i386 arm64 armhf riscv64,$(DEB_HOST_ARCH)),enabled,disabled) \
+	-Dbootloader=$(if $(filter amd64 i386 arm64 armhf loong64 riscv64,$(DEB_HOST_ARCH)),enabled,disabled) \
 	-Dsysupdate=enabled
 else
 CONFFLAGS += \
@@ -216,6 +218,11 @@
 
 ifeq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
 CONFFLAGS += -Ddns-servers=''
+CONFFLAGS += -Dsbat-distro-url=https://tracker.debian.org/pkg/systemd
+else
+CONFFLAGS += -Dsbat-distro-url=https://github.com/systemd/systemd
+CONFFLAGS += -Dsbat-distro=upstream
+CONFFLAGS += -Dsbat-distro-summary='Upstream build from git'
 endif
 
 # Increase the minimum number of sections to keep free in stub PE header in
@@ -240,8 +247,3 @@
 	debian/extra/checkout-upstream
 endif
 
-execute_before_dh_install:
-	# remove unnecessary / unused files that are picked up by wildcards/directory listings in dh_install
-	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
-	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
-	rm -f debian/tmp/usr/lib/udev/*.d/README
