=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  systemd-dev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  systemd-resolved,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd-container,
  systemd-coredump,
  systemd-dev,
  libpam-systemd,
  libdw-dev,
  libelf-dev,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [!s390x !riscv64 !armel],
  cron,
  network-manager,
  busybox-static,
  sysvinit-utils,
  rsyslog,
  apparmor,
  pkgconf,
  python3,
  python3-pefile,
  dhcpcd-base | dhcpcd5,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  python3-pefile,
  xz-utils,
  libcap2-bin,
  iproute2,
  lz4,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev,
  libfido2-dev,
  libdw-dev,
  libqrencode-dev,
  libpwquality-dev,
  libarchive-dev,
  libgcrypt20-dev,
  libcryptsetup-dev,
  tzdata-legacy | tzdata (<< 2024b-3),
Restrictions: needs-root, isolation-container

Tests: boot-smoke
Depends: systemd-sysv,
  network-manager,
  gdm3 [!s390x !riscv64 !armel],
  xserver-xorg-video-dummy,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: build-with-static-libsystemd
Depends: systemd,
  systemd-resolved,
  pkgconf,
  build-essential,
  libsystemd-dev,
  libcap-dev,

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  snapd,
  dnsmasq-base,
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable

# Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
Features: test-name=hint-testsuite-triggers
Test-Command: /bin/true
Depends:
  linux-image-generic,
